#include <qdragobject.h>

#include "abakuslistview.h"

ListView::ListView(QWidget *parent, const char *name) :
    KListView(parent, name)
{
    setResizeMode(LastColumn);
    setDragEnabled(true);
}

QDragObject *ListView::dragObject()
{
    QListViewItem *item = selectedItem();
    if(!item)
	return 0;

    return new QTextDrag(item->text(0), this, "list item drag");
}
