#ifndef _ABAKUS_RPNMUNCHER_H
#define _ABAKUS_RPNMUNCHER_H

#include <qstring.h>

#include "numerictypes.h"

class RPNParser
{
    public:
    static Abakus::number_t rpnParseString(const QString &text);
    static bool wasError() { return m_error; }
    static QString errorString() { return m_errorStr; }

    private:
    static QString m_errorStr;
    static bool m_error;
};

#endif
